package contract

type tncManager interface {
	TNC() TNCManager
}

//TNCManager defines the integration with any TNC
type TNCManager interface {
	GetETA(lag float64, log float64, params map[string]interface{}) (interface{}, error)
	GetDrivers(lag float64, log float64) (interface{}, error)
	GetTypes(lag float64, log float64, params map[string]interface{}) (interface{}, error)
}
